/*-------------------------------------------------------------------------
 * Copyright (c) 2000-2002 Kenneth W. Sodemann (stuffle@charter.net)
 *-------------------------------------------------------------------------
 * priv_utils
 *
 * Synopsis:
 *   Private utility functions used by the other modules in this library.
 *
 * $Id: priv_utils.c,v 1.2 2002/01/30 00:40:02 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */
#include <glib.h>
#include <libpq-fe.h>
#include <syslog.h>

gboolean
chk_sql_results (PGresult *res)
{
   ExecStatusType  db_status;

   db_status = PQresultStatus (res);

   if (db_status != PGRES_TUPLES_OK &&
       db_status != PGRES_COMMAND_OK)
      {
      syslog (LOG_ERR,
              "Error in SQL Execution: %s",
              PQresultErrorMessage (res));
      return FALSE;
      }

   return TRUE;
}
